it.reply.healty.innovapuglia.mstaccuino.soap.service.common

## Class AccessLogHandler

- java.lang.Object
- - it.reply.healty.innovapuglia.mstaccuino.soap.service.common.AccessLogHandler

- All Implemented Interfaces:
    Handler<SOAPMessageContext>, SOAPHandler<SOAPMessageContext>

      @Component
      public class AccessLogHandler
      extends Object
      implements SOAPHandler<SOAPMessageContext>

  Handler che utilizza un client esterno (IAccessiClient) per scrivere i log di accesso nella tabella GCPA_ACCESSO_LOG di FSE in base al successo o al fallimento delle operazioni eseguite.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessLogHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close(MessageContext messageContext)`
    `Set<QName>` | `getHeaders()`
    `boolean` | `handleFault(SOAPMessageContext messageContext)` Gestisce i fault SOAP che si verificano durante l'elaborazione del messaggio.
    `boolean` | `handleMessage(SOAPMessageContext messageContext)` Gestisce i messaggi SOAP in entrata e in uscita.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessLogHandler

          public AccessLogHandler()

  - ### Method Detail

    - #### handleMessage

          public boolean handleMessage(SOAPMessageContext messageContext)

      Gestisce i messaggi SOAP in entrata e in uscita. In outbound gestisce la scrittura nei log applicativi di FSE.
      Specified by:
        `handleMessage` in interface `Handler<SOAPMessageContext>`
      Parameters:
        `messageContext` - Contesto del messaggio SOAP contenente il messaggio da elaborare.
      Returns:
        True per continuare l'elaborazione, false per interrompere l'elaborazione del messaggio.

    - #### handleFault

          public boolean handleFault(SOAPMessageContext messageContext)

      Gestisce i fault SOAP che si verificano durante l'elaborazione del messaggio. In outbound gestisce la scrittura nei log applicativi di FSE.
      Specified by:
        `handleFault` in interface `Handler<SOAPMessageContext>`
      Parameters:
        `messageContext` - Contesto del messaggio SOAP contenente il messaggio di fault da elaborare.
      Returns:
        True per continuare l'elaborazione, false per interrompere l'elaborazione del messaggio di fault.

    - #### close

          public void close(MessageContext messageContext)

      Specified by:
        `close` in interface `Handler<SOAPMessageContext>`

    - #### getHeaders

          public Set<QName> getHeaders()

      Specified by:
        `getHeaders` in interface `SOAPHandler<SOAPMessageContext>`

Copyright © 2024. All rights reserved.